Page MenuHomePhabricator

CreateMassMessageList source text input should use AJAX to warn about an invalid entry
Closed, ResolvedPublic

Description

When I go to http://mm-ch.wmflabs.org/wiki/Special:CreateMassMessageList and select the "Import pages from an existing list or category" radio button to activate the "Source" text field input, if I enter an invalid input (e.g. the non-existent page "fsdfdsfsdffffff"), I'm only warned post-form submission.

We can use AJAX to warn the user prior to form submission. This would be a better user experience.


Version: unspecified
Severity: enhancement
Whiteboard: gci2014

Details

Reference
bz70523
Related Gerrit Patches:
mediawiki/extensions/MassMessage : masterImplement AJAX warnings for CreateMassMessageList

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:56 AM
bzimport set Reference to bz70523.
bzimport added a subscriber: Unknown Object (MLST).
MZMcBride created this task.Sep 7 2014, 1:45 PM
Unicodesnowman set Security to None.

Change 178183 had a related patch set uploaded (by Unicodesnowman):
Implement AJAX warnings for CreateMassMessageList

https://gerrit.wikimedia.org/r/178183

Patch-For-Review

Change 178183 merged by jenkins-bot:
Implement AJAX warnings for CreateMassMessageList

https://gerrit.wikimedia.org/r/178183

Legoktm closed this task as Resolved.Dec 10 2014, 5:25 PM